Bug 845089 - Bug in Administration and Configuration Guide
Bug in Administration and Configuration Guide
Status: CLOSED EOL
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Admin_and_Config_Guide (Show other bugs)
5.1.2
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Scott Mumford
Rajesh Rajasekaran
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 13:51 EDT by Joshua Wilson
Modified: 2015-07-02 20:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-02 20:44:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wilson 2012-08-01 13:51:26 EDT
Description of problem: The Guide falsely states that jboss binds to all IP addresses out of the box.  That is the way it was but not any longer.


Version-Release number of selected component (if applicable):


How reproducible: Go to 1.2.1. Start the Server:

http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Administration_And_Configuration_Guide/ch03.html

There is this sentence: "By default, the Enterprise Platform binds to all networking addresses at start-up. You can specify a bind address, as well as a UDP address, at start-up. ".

I believe that this has the correct explanation: http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html/Getting_Started_Guide/Starting_and_Stopping_the_Server.html#Starting_and_Stopping_the_Server-Start_the_Server

"The JBoss Enterprise Application Platform now binds its services to localhost (127.0.0.1) by default, instead of binding to all available interfaces (0.0.0.0). This was primarily done for security reasons because of concerns of users going to production without having secured their servers correctly. "


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Russell Dickenson 2012-08-01 19:24:57 EDT
I believe that mention of binding to addresses should be removed from the Admin & Config Guide, leaving this correctly described in the Getting Started Guide. Also the section describing binding to addresses in the Getting Started Guide should not appear as an admonition.
Comment 2 Russell Dickenson 2012-08-01 19:40:30 EDT
Attention: Scott

I don' think this issue warrants a Release Notes entry, so there's no need to clone it as a JIRA issue.
Comment 3 Scott Mumford 2012-08-21 19:24:43 EDT
Thanks Joshua.

The erroneous sentence and the table below have been removed from the source files and the change will appear in the new versions of the documentation in the next EAP release.

Thanks again for your feedback.

Note You need to log in before you can comment on or make changes to this bug.